@import url('https://fonts.googleapis.com/css2?family=Open+Sans&display=swap');

html, body {
    background-color: white;
    font-family: 'Open Sans', sans-serif;
}

.sticky {
    position: sticky;
    top: 0;
}

.non-transparent {
    background-color: white;
}

.toolbar {
    border: 1px solid black;
}

.control {
    border: 1px solid red;
    padding: 0.25em;
}

.program {
    border: 1px solid black;
    min-height: 50vh;
}

.baseCommand {
    padding: 0.50em;
    margin: 0.125em;
    border: 1px solid black;
    min-width: 16em;
    min-height: 1.5em;
    display: inline-block;

    text-align: left;
}

#commandTemplate {
    display: none;
}

.subcommands {
    display: none;
}

.commandHasSubcommands > .subcommands {
    display: block;
    margin: 0.5em;
    padding-top: 0.5em;
    padding-bottom: 0.5em;
    border-left: 1px dashed black;
    padding-left: 1em;
}

input[pattern]:invalid {
    color: red;
}

.baseCommand > .argument {
    max-width: 6em;
}

.commandInsertZone {
    width: 100%;
    min-height: 10px;
    border: 1px dashed grey;
}

.delete-cmd {
    margin-right: 12px;
    color: #DD1111;
    font-weight: bold;
}

.watchWindow {
    background-color: #5B6678;
    border: 1px solid #303640;

    position: fixed;
    left: 0;
    bottom: 0;
    min-width: 50vw;

    transition: left 0.25s ease-in;
}

.watchWindowHidden {
    left: -100%;
}

.watchWindowTitleBar {
    display: inline-block;
    background-color: #303640;
    color: #AEC3E5;
    width: 100%;
}

.watchWindowContents {
    padding: 0.5em;
}

.stepThruCurrentCommand {
    border: 1px solid rgba(255, 0, 0, 1);
    animation: 1s linear stepThruCurrentCommandAnim infinite;
}

@keyframes stepThruCurrentCommandAnim {
    from {
        box-shadow: 0 0 0px 0px rgba(255, 0, 0, .0);
    }
    75% {
        box-shadow: 0 0 4px 4px rgba(255, 0, 0, .5);
    }
    to {
        box-shadow: 0 0 0px 0px rgba(255, 0, 0, .0);
    }
}

.cmdMove {
    background-color: #6CEBEA;
}

.cmdControl {
    background-color: #FFC9DA;
}

.cmdStack {
    background-color: #AAAAAA;
}

.cmdRotate {
    background-color: #A5DE33;
}

.cmdPen {
    background-color: #F5CF7A;
}

.cmdPen input[type="color"] {
    margin: 0;
    padding: 0;
    max-height: 1rem;
}

.cmdMacro {
    background-image: url('pattern0.png');
    background-color: #FFC9DA;
}

.cmdLimit {
    background-image: url('pattern1.png');
    background-color: rgb(87, 87, 87, 0.3);
}